<?php
if (isset($_POST["idexamen"])) {
	$idexamen=$_POST["idexamen"];
	$idempresa=$_POST["idempresa"];

	include_once('../php_conexion.php');
	header('Content-type: application/json; charset=utf-8');
	//Iniciamos variable de resultado en array
	$result=array();
	//Consultas iniciales

	$query = mysqli_query($conexion, "SELECT idempresa, idexamen, codpaciente FROM pacientes WHERE idempresa=$idempresa AND idexamen=$idexamen ORDER BY codpaciente DESC LIMIT 1") or die ("ERROR EN QUERY".mysql_error());
	$resultcod = mysqli_fetch_array($query);

	if ($resultcod['codpaciente']==NULL) {
		$codpac=1;
	}else{
		$codpac=$resultcod['codpaciente']+1;
	}

	if(isset($codpac)){
		$result['succes']=1;
		$result['codpac']=$codpac;
		echo json_encode($result);
	}else{
		$result["error"]=4;
		$result["error_msg"]="Examen no registrado";

		echo json_encode($result);
	}

	mysqli_close($conexion);
}else{
	$result["error"]=5;
	$result["error_msg"]="Seleccione Examen";
	$result["codpac"]=0;
	echo json_encode($result);
}
?>